---
apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  creationTimestamp: "2025-10-27T11:18:50Z"
  generation: 1
  labels:
    machineconfiguration.openshift.io/role: master
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/role: {}
      f:spec:
        .: {}
        f:config:
          .: {}
          f:ignition:
            .: {}
            f:version: {}
          f:passwd:
            .: {}
            f:users: {}
    manager: cluster-bootstrap
    operation: Update
    time: "2025-10-27T11:18:50Z"
  name: 100-master-set-core-user-password
  resourceVersion: "2332"
  uid: 3e0dab0d-fd90-45fe-800c-56d227583ba8
spec:
  config:
    ignition:
      version: 3.4.0
    passwd:
      users:
      - name: core
        passwordHash: $6$W/aqd9xZyQEwFeTc$RcAomRYb3yqdQ5iMAAj6wkczNZtQUSOq1zInH8gdTb3I3bi0M0a5.bB40AbttmUR5ABO6X4B5yTHIpatjaaBx1
